import { defineComponent, createVNode, resolveComponent, createTextVNode, openBlock, createElementBlock } from "vue";
const __uno = "";
const props = {
  color: {
    type: String,
    default: "blue"
  },
  icon: {
    type: String,
    default: ""
  }
};
const Button = defineComponent({
  name: "YunButton",
  props,
  setup(props2, {
    slots
  }) {
    return () => createVNode("button", {
      "class": `
          py-2 
          px-4 
          font-semibold 
          rounded-lg 
          shadow-md 
          text-white 
          bg-${props2.color}-500 
          hover:bg-${props2.color}-700 
          border-none 
          cursor-pointer 
          m-1
      `
    }, [props2.icon ? createVNode("i", {
      "class": `i-ic-baseline-${props2.icon} p-3`
    }, null) : "", slots.default ? slots.default() : ""]);
  }
});
const YunRadio = defineComponent({
  name: "YunRadio",
  render() {
    return createVNode(resolveComponent("radio"), null, {
      default: () => [createTextVNode("ddd")]
    });
  }
});
const _sfc_main = {
  name: "YunInput"
};
const _export_sfc = (sfc, props2) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props2) {
    target[key] = val;
  }
  return target;
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("input");
}
const YunInput = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
const index = {
  install(app) {
    app.component(Button.name, Button);
    app.component(YunRadio.name, YunRadio);
    app.component(YunInput.name, YunInput);
  }
};
export {
  Button as YunButton,
  YunInput,
  YunRadio,
  index as default
};
//# sourceMappingURL=yun-ui.esm.js.map
